Get Nsx T Route Controllers

Get Nsx T Route Controllers
Get all Route Controllers from NSX.

Get all Route Controllers configured in NSX for VXLAN/EVPN connectivity. Route Controllers must be retrieved with either the "networkProviderId" or "regionId" filter key set with the id of the NSX Manager or Region respectively.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/nsxTResources/routeControllers
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
cursor
Optional

Field used for getting next page of records. The value is supplied by the current result page. If not set, the first page is retrieved. If cursor is set, then all other pagination query parameters such as pageSize, sortDesc, sortAsc, queryFilter are ignored.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NsxTRouteControllers of type(s) application/json;version=9.1.1
{
    "values": [
        {
            "id": "string",
            "displayName": "string",
            "description": "string",
            "haMode": "string",
            "virtualNetworkApplianceClusterId": "string"
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/nsxTResources/routeControllers?pageSize=v